import { fetchComponentData } from "@/utils/data";
import HeroUI from "./HeroUI";

export default async function Hero() {
  const result = await fetchComponentData("Hero");
  
  if (result.error || !result.data) {
    if(result.error) console.error("Failed to fetch Hero data:", result.error);
    return null; 
  }

  return <HeroUI data={result.data} />;
} 